Subject: Re: [PATCH v2 1/3]http: authenticate on NTLM proxies and others suppported by CuRL

From: Nelson Benitez Leon <[email-masked]>
Date: Mon, 05 Mar 2012 16:33:16 +0100

On 03/02/2012 07:50 PM, Junio C Hamano wrote:
> Nelson Benitez Leon <[email-masked]> writes:
> 
> Is there anything specific about NTLM in this patch?  Let's retitle it to
> something like
> 
> 	http: support proxies that needs authentication
> 
>> ...
>> So as CURLAUTH_ANY provide us out-of-the-box proxy support, we don't
>> want it activated manually from a config option, instead we added it
>> automatically when a proxy is being used.
> 
> I can sort of parse this paragraph but cannot follow the logic.
> 
>  - Because we use CURLAUTH_ANY, a proxy that requires authentication is
>    supported out-of-the-box.
> 
>  - We do not want having to manually enable it.
> 
>  - Instead of adding a manual configuration, we do so automatically.
> 
> It sounds like it is saying the same thing three times.  Do we even need
> that paragraph?  Shouldn't we drop it instead?

I've dropped it in v3 patchset.

> 
> Otherwise it all looks good, so you can either
> 
>  (1) explain why the above suggestions are wrong and why I should apply
>      the message I am responding to as-is;
> 
>  (2) send another re-roll; or
> 
>  (3) say "yeah, your suggestions all sound good to me", in which case I'll
>      just locally amend and apply.
> 

I've re-rolled a new patchset and included your suggestions about wording,
you're welcome to better fine-tune the messages and commit if you find them
suitable.

Thanks!